Bug 183337 - system-config-network doesn't check route fields
Summary: system-config-network doesn't check route fields
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 87718
TreeView+ depends on / blocked
 
Reported: 2006-02-28 12:04 UTC by Jón Fairbairn
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version: 1.4.3-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-22 15:22:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jón Fairbairn 2006-02-28 12:04:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
If I add a route using the dialogue box, I can close the box without filling in all the fields. This superficially seems like the right thing to do if adding a route to a single host on a local subnet.

If I do this, the application closes OK and writes a route-eth0 file that (if I've picked the right values) works, but which system-config-network complains about and erases when next run.

Version-Release number of selected component (if applicable):
system-config-network-1.3.26-1

How reproducible:
Always

Steps to Reproduce:
1. run system-config-network
2. select a device and click edit
3. click on the route tab and then Add
4. fill in 10.0.0.1 in the address field
5. fill in 255.255.255.255 in the netmask field
6. leave the gateway field blank and close and save
  

Actual Results:  creates route-<device> that it objects to on subsequent run -- and deletes if the configuration is saved.

Expected Results:  Either it should complain about the empty field, fill in an appropriate value (0.0.0.0?) or not complain when next run. At any rate, it should only produce route-<dev> files that (a) don't produce errors when the network is brought up and (b) are acceptable to itself as input.

Additional info:

For adding a route to a single host it would make sense not to have to type in even a netmask; ie if netmask and gateway are left blank it should just add a route to a host through the selected device.

Comment 1 Christian Iseli 2007-01-22 10:19:51 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 Jón Fairbairn 2007-01-22 16:01:24 UTC
The bug is still present in FC6 with 
system-config-network-1.3.96-1.fc6
system-config-network-tui-1.3.96-1.fc6


Comment 3 Jón Fairbairn 2007-12-22 15:22:49 UTC
This bug doesn't occur with FC8 system-config-network-1.4.3-1.fc8


Note You need to log in before you can comment on or make changes to this bug.